      SUBROUTINE SSP(X,Y,Z,C,CX,CY,CZ,CXX,CYY,CZZ,CXY,CXZ,CYZ)
      IMPLICIT REAL (A-H, O-Z)

      C0 = 1500.0

      IF (Z .LT. 5000.0 ) THEN
         EPS = 0.00737 + Y/100000.0*0.003
         EPSY = 0.003/100000.0

         W   = 2.0*(Z-1300.0)/1300.0
         WZ  = 2.0/1300.0

         C   = C0*( 1.0+EPS*( W-1.0+EXP(-W) ) )
         CY  = C0*EPSY*( W-1.0+EXP(-W) )
         CZ  = C0*EPS*( 1.0-EXP(-W) )*WZ
         CZZ = C0*EPS*EXP(-W)*WZ**2
         CYZ = C0*EPSY*( 1.0-EXP(-W) )*WZ
      ELSE    ! HOMOGENEOUS HALF-SPACE
         W   = 2.0*(5000.0-1300.0)/1300.0
         C   = C0*( 1.0+0.00737*(W-1.0+EXP(-W) ) )
         CY  = 0.0
         CZ  = 0.0
         CZZ = 0.0
         CYZ = 0.0
      ENDIF

      CX  = 0.0
      CXX = 0.0
      CYY = 0.0
      CXZ = 0.0
      CXY = 0.0

      RETURN
      END
