      IMPLICIT REAL*8 (A-H, O-Z)

      INTEGER ENVFIL, PRTFIL, MODFIL, EVMFIL
      REAL*8  MACHEP
      COMPLEX CI

      PARAMETER ( ENVFIL = 5, PRTFIL = 6, MODFIL = 20, EVMFIL = 22,
     &   MAXN = 200001, MAXM = 1500, MAXMED = 50, NSETS = 5,
     &   MAXNSD = 4095, MAXNRD = 4095, MAXNZT = 4095,
     &   CI = ( 0.0, 1.0 ), PI = 3.1415926535898D0, MACHEP = 1.0D-13 )

      REAL SD, RD
      COMPLEX*16 CK, CPT, CST, CPB, CSB
      COMMON /SHARE/ CK( MAXM ), CPT, CST, CPB, CSB,
     &   B1( MAXN ), B1C( MAXN ), B2( MAXN ), B3( MAXN ), B4( MAXN ),
     &   EVMAT( NSETS, MAXM ), EXTRAP( NSETS, MAXM ), ET( NSETS ),
     &   RHO( MAXN ), DEPTH( MAXMED ), H( MAXMED ), HV( NSETS ),
     &   RHOT, RHOB, CMIN, CLOW, CHIGH, FREQ, OMEGA2, RMAX,
     &   SIGMA( MAXMED ), BUMDEN, ETA, XI,
     &   SD( MAXNSD ), RD( MAXNRD ), NSD, NRD,
     &   LOC( MAXMED ), NFACT, NLACT, NMEDIA,
     &   NG( MAXMED ), N( MAXMED ), NV( NSETS ),
     &   ISET, M, LRECL, MODECT, MODE

      CHARACTER MATER( MAXMED )*8, TOPOPT*8, BOTOPT*8, TITLE*80
      COMMON /SHARE1/ MATER, TOPOPT, BOTOPT, TITLE
